[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.IsVisible

True if the node is visible.

## Declaration

Source position: comctrls.pp line 3162

`public property TTreeNode.IsVisible : Boolean read IsNodeVisible;`

## Description

IsVisible is a read-only Boolean property which indicates if the tree node is visible in the associated TreeView control. IsVisible is True if the node can be seen in the display area for the control. The property value is False when an ancestor node is collapsed (not Expanded).

The IsNodeVisible method in TreeView is called to get the value for the property. If TreeView has not been assigned, the ParentsExpandedVisible method is called to get the property value.

IsNodeVisible is used in the Repaint method in TTreeNodes, and in the SelectionVisible method in TCustomTreeView.